Bug 984254 - [abrt] xscreensaver-gl-extras-5.21-7.fc18: nv50_validate_scissor: Process /usr/libexec/xscreensaver/starwars was killed by signal 11 (SIGSEGV)
[abrt] xscreensaver-gl-extras-5.21-7.fc18: nv50_validate_scissor: Process /us...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:780132e6e617d1021cc599190cd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 22:46 EDT by Tad Bilby
Modified: 2014-02-05 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:07:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.03 KB, text/plain)
2013-07-13 22:46 EDT, Tad Bilby
no flags Details
File: cgroup (129 bytes, text/plain)
2013-07-13 22:46 EDT, Tad Bilby
no flags Details
File: core_backtrace (1.69 KB, text/plain)
2013-07-13 22:46 EDT, Tad Bilby
no flags Details
File: dso_list (3.23 KB, text/plain)
2013-07-13 22:46 EDT, Tad Bilby
no flags Details
File: environ (1.45 KB, text/plain)
2013-07-13 22:46 EDT, Tad Bilby
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-13 22:46 EDT, Tad Bilby
no flags Details
File: maps (15.91 KB, text/plain)
2013-07-13 22:46 EDT, Tad Bilby
no flags Details
File: open_fds (242 bytes, text/plain)
2013-07-13 22:46 EDT, Tad Bilby
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-07-13 22:46 EDT, Tad Bilby
no flags Details
File: var_log_messages (330 bytes, text/plain)
2013-07-13 22:46 EDT, Tad Bilby
no flags Details

  None (edit)
Description Tad Bilby 2013-07-13 22:46:22 EDT
Version-Release number of selected component:
xscreensaver-gl-extras-5.21-7.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        starwars -root
crash_function: nv50_validate_scissor
executable:     /usr/libexec/xscreensaver/starwars
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nv50_validate_scissor at nv50_state_validate.c:155
 #1 nv50_state_validate at nv50_state_validate.c:394
 #2 nv50_blit_3d at nv50_surface.c:944
 #3 nv50_blit at nv50_surface.c:1280
 #4 st_TexSubImage at ../../src/mesa/state_tracker/st_cb_texture.c:783
 #5 st_TexImage at ../../src/mesa/state_tracker/st_cb_texture.c:813
 #7 teximage at ../../src/mesa/main/teximage.c:3155
 #8 _mesa_TexImage2D at ../../src/mesa/main/teximage.c:3194
 #9 gluBuild2DMipmapLevelsCore at src/libutil/mipmap.c:3873
 #10 gluBuild2DMipmaps at src/libutil/mipmap.c:4606
Comment 1 Tad Bilby 2013-07-13 22:46:26 EDT
Created attachment 773208 [details]
File: backtrace
Comment 2 Tad Bilby 2013-07-13 22:46:29 EDT
Created attachment 773209 [details]
File: cgroup
Comment 3 Tad Bilby 2013-07-13 22:46:31 EDT
Created attachment 773210 [details]
File: core_backtrace
Comment 4 Tad Bilby 2013-07-13 22:46:34 EDT
Created attachment 773211 [details]
File: dso_list
Comment 5 Tad Bilby 2013-07-13 22:46:36 EDT
Created attachment 773212 [details]
File: environ
Comment 6 Tad Bilby 2013-07-13 22:46:39 EDT
Created attachment 773213 [details]
File: limits
Comment 7 Tad Bilby 2013-07-13 22:46:43 EDT
Created attachment 773214 [details]
File: maps
Comment 8 Tad Bilby 2013-07-13 22:46:45 EDT
Created attachment 773215 [details]
File: open_fds
Comment 9 Tad Bilby 2013-07-13 22:46:48 EDT
Created attachment 773216 [details]
File: proc_pid_status
Comment 10 Tad Bilby 2013-07-13 22:46:50 EDT
Created attachment 773217 [details]
File: var_log_messages
Comment 11 Mamoru TASAKA 2013-07-14 03:03:50 EDT
Once asking mesa maintainer for help.
Comment 12 Fedora End Of Life 2013-12-21 09:19:52 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:07:46 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.